int trigPin = 9;  // Pins utilisés dans ce projet
int echoPin = 8;
long retard ; // définition des variables
int distance;
 
void setup() {
pinMode(trigPin, OUTPUT); // Règle le trigPin en sortie
pinMode(echoPin, INPUT); // Règle le echoPin entrée
Serial.begin(9600); // Starts the serial communication
}
 
void loop() {
digitalWrite(trigPin, LOW); //  Ces 5 lignes fabriquent une impulsion de 10ms
delayMicroseconds(2);
digitalWrite(trigPin, HIGH); 
delayMicroseconds(10);
digitalWrite(trigPin, LOW);
 
retard = pulseIn(echoPin, HIGH);    //  Mesure le retard à la réception, détection d'un pulse 
distance = retard * 1e-6 * 34000 /2;  // calcule la distance correspondante
 
Serial.print("Distance en cm : ");   
Serial.println(distance);
}
